package core.api.models.timemanager.history;

import com.fasterxml.jackson.annotation.JsonProperty;
import core.api.models.timemanager.taskgroup.TaskgroupEntityInfo;

import java.time.LocalDate;
import java.util.List;

public class TaskgroupActivityInfo {

   private TaskgroupEntityInfo taskgroup;
   private List<ActivityInfo> activityInfos;

    public TaskgroupActivityInfo(TaskgroupEntityInfo taskgroup, List<ActivityInfo> activityInfos) {
        this.taskgroup = taskgroup;
        this.activityInfos = activityInfos;
    }

    public TaskgroupEntityInfo getTaskgroup() {
        return taskgroup;
    }

    public List<ActivityInfo> getActivityInfos() {
        return activityInfos;
    }
}
